Overview
GET/persona-memory/blockspersona_memory

List blocks

List blocks.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

List

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • namestring
  • contentstring | number | boolean? | object | any[]
  • sizeLimitinteger?
  • createdAtstring
  • updatedAtstring
Example
[
  {
    "id": "string",
    "ecosystemId": "string",
    "customerId": "string",
    "deletedAt": "string",
    "name": "string",
    "content": "string",
    "sizeLimit": 0,
    "createdAt": "string",
    "updatedAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/persona-memory/blocks" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/blocks", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();